Bug 981421 - ovirt host deploy tries to start firewalld on rhel
ovirt host deploy tries to start firewalld on rhel
Status: CLOSED CURRENTRELEASE
Product: otopi
Classification: oVirt
Component: Plugins.network (Show other bugs)
master
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: 1.1.0
Assigned To: Alon Bar-Lev
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 12:09 EDT by Ohad Basan
Modified: 2016-02-10 14:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 11:11:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16397 None None None Never

  None (edit)
Description Ohad Basan 2013-07-04 12:09:12 EDT
Description of problem:

host deploy is trying to stop/start firewalld when running on rhel
rhel doesn't have firewalld therefore host deploy fails

host-deploy log snippet

2013-07-04 12:35:43 DEBUG otopi.plugins.otopi.services.rhel plugin.execute:446 execute-output: ('/sbin/service', 'firewalld', 'start') stderr:
firewalld: unrecognized service

2013-07-04 12:35:43 DEBUG otopi.context context._executeMethod:132 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-oVvTxX9x0e/pythonlib/otopi/context.py", line 122, in _executeMethod
    method['method']()
  File "/tmp/ovirt-oVvTxX9x0e/otopi-plugins/otopi/network/firewalld.py", line 142, in _customization
    self._firewalld_version = self._get_firewalld_cmd_version()
  File "/tmp/ovirt-oVvTxX9x0e/otopi-plugins/otopi/network/firewalld.py", line 63, in _get_firewalld_cmd_version
    state=True,
  File "/tmp/ovirt-oVvTxX9x0e/otopi-plugins/otopi/services/rhel.py", line 188, in state
    'start' if state else 'stop'
  File "/tmp/ovirt-oVvTxX9x0e/otopi-plugins/otopi/services/rhel.py", line 96, in _executeServiceCommand
    raiseOnError=raiseOnError
  File "/tmp/ovirt-oVvTxX9x0e/pythonlib/otopi/plugin.py", line 451, in execute
    command=args[0],
RuntimeError: Command '/sbin/service' failed to execute
Comment 2 Alon Bar-Lev 2013-07-04 14:13:28 EDT
Already known.

Note You need to log in before you can comment on or make changes to this bug.